Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class DefaultContainerClassEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.groupware.DefaultContainerClassEnum

All Implemented Interfaces
  IDigestSupport, Serializable

    public class DefaultContainerClassEnum

extends CollabEnum
implements Serializable

The enumeration class that contains `DefaultContainerClass` elements.

See Also
  Serialized Form

Field Summary
`static DefaultContainerClass` | `CALENDAR`
`static DefaultContainerClass` | `CONTACTS`
`static DefaultContainerClass` | `DELETED`
`static DefaultContainerClass` | `DRAFTS`
`static DefaultContainerClass` | `INBOX`
`static int` | `NUM_ELEMENTS`
`static DefaultContainerClass` | `SENT`
`static DefaultContainerClass` | `TASKS`
`static int` | `VALUE_CALENDAR`
`static int` | `VALUE_CONTACTS`
`static int` | `VALUE_DELETED`
`static int` | `VALUE_DRAFTS`
`static int` | `VALUE_INBOX`
`static int` | `VALUE_SENT`
`static int` | `VALUE_TASKS`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DefaultContainerClassEnum(Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DefaultContainerClassEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_CALENDAR

    public static final int VALUE_CALENDAR

See Also
  Constants Summary

### VALUE_CONTACTS

    public static final int VALUE_CONTACTS

See Also
  Constants Summary

### VALUE_DELETED

    public static final int VALUE_DELETED

See Also
  Constants Summary

### VALUE_DRAFTS

    public static final int VALUE_DRAFTS

See Also
  Constants Summary

### VALUE_INBOX

    public static final int VALUE_INBOX

See Also
  Constants Summary

### VALUE_SENT

    public static final int VALUE_SENT

See Also
  Constants Summary

### VALUE_TASKS

    public static final int VALUE_TASKS

See Also
  Constants Summary

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also
  Constants Summary

### CALENDAR

    public static final DefaultContainerClass CALENDAR

### CONTACTS

    public static final DefaultContainerClass CONTACTS

### DELETED

    public static final DefaultContainerClass DELETED

### DRAFTS

    public static final DefaultContainerClass DRAFTS

### INBOX

    public static final DefaultContainerClass INBOX

### SENT

    public static final DefaultContainerClass SENT

### TASKS

    public static final DefaultContainerClass TASKS

Constructor Detail

### DefaultContainerClassEnum

    protected DefaultContainerClassEnum(Class elementClass,
                                        int iNumElements,
                                        com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                        EnumElement defaultElement,
                                        String sInternalName,
                                        boolean bMaskable)

  Constructor.

### DefaultContainerClassEnum

    protected DefaultContainerClassEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved